Skip to content

Tail function logs

View .md
GET

Fetch invocation logs for a function. Logs are paginated via nextToken. Pass startTime / endTime (Unix epoch milliseconds) to bound the window, or filterPattern to filter messages.

Authorization

  • Authorizationheaderrequired

    Bearer YOUR_API_KEY. Create a key in the dashboard.

Path parameters

  • functionIdstringrequired

    Zavu Function ID.

Query parameters

  • limitinteger
    Default100
    Limitsmin 1 · max 1000
  • nextTokenstring
  • startTimeinteger<int64>

    Start of the log window in Unix epoch milliseconds.

  • endTimeinteger<int64>

    End of the log window in Unix epoch milliseconds.

  • filterPatternstring

Responses

200Log events.
  • eventsobject[]required
    2 properties
    • timestampstring<date-time>required
    • messagestringrequired
  • nextTokenstringnullable

    Pass to the next request to fetch the following page of logs.

401Unauthorized.
  • codestringrequired
  • messagestringrequired
  • detailsobject
404Function not found.
  • codestringrequired
  • messagestringrequired
  • detailsobject